Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 542062 - x11-themes/qtcurve multilib support
Summary: x11-themes/qtcurve multilib support
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal enhancement (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
: 548368 (view as bug list)
Depends on: 530152
Blocks:
  Show dependency tree
 
Reported: 2015-03-04 07:43 UTC by Ben Sagal
Modified: 2018-01-12 16:10 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild multilib patch (1.8.18-multilib.patch,2.52 KB, patch)
2015-05-03 16:33 UTC, Kai Krakow
Details | Diff
multlib-enhanced ebuild (qtcurve-1.8.18.ebuild,2.85 KB, text/plain)
2015-05-03 16:35 UTC, Kai Krakow
Details
multlib-enhanced ebuild v3 (qtcurve-1.8.18.ebuild,3.08 KB, text/plain)
2015-05-05 05:33 UTC, Kai Krakow
Details
ebuild multilib patch v3 (1.8.18-multilib.patch,2.63 KB, patch)
2015-05-05 05:35 UTC, Kai Krakow
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Sagal 2015-03-04 07:43:56 UTC
Would it be possible to add multilib support to CL-0610 x11-themes/qtcurve so 32bit programs will look the same as 64bit

Thank You
Comment 1 Ben de Groot (RETIRED) gentoo-dev 2015-05-03 03:39:25 UTC
*** Bug 548368 has been marked as a duplicate of this bug. ***
Comment 2 Kai Krakow 2015-05-03 16:33:30 UTC
Created attachment 402552 [details, diff]
ebuild multilib patch

Patch for portage provided ebuild
Comment 3 Kai Krakow 2015-05-03 16:35:33 UTC
Created attachment 402554 [details]
multlib-enhanced ebuild

Ebuild with multilib support - not tested against qt5, qt4 made optional in the sense of bug 548368
Comment 4 Davide Pesavento gentoo-dev 2015-05-03 19:25:08 UTC
qt5 is not multilib-aware (yet), so all qt5 deps are wrong.
Comment 5 Kai Krakow 2015-05-04 05:31:10 UTC
So I need to handle it the same as KDE?
Comment 6 Ben de Groot (RETIRED) gentoo-dev 2015-05-04 12:11:27 UTC
Maybe we should wait until there are Qt5 multilib ebuilds? What does the multilib team think about this?

Otherwise we need to make clear only the gtk2 and qt4 parts will be multilib-enabled. 

I do agree we should proceed on this, since multilib users will benefit, even tho I myself am a strictly no-multilib guy.
Comment 7 Kai Krakow 2015-05-05 05:33:47 UTC
Created attachment 402668 [details]
multlib-enhanced ebuild v3

Qt5 is not multilib yet, included an informational message as suggested
Comment 8 Kai Krakow 2015-05-05 05:35:33 UTC
Created attachment 402672 [details, diff]
ebuild multilib patch v3

patch: Qt5 is not multilib yet, included an informational message as suggested
Comment 9 Egor Y. Egorov 2016-02-10 09:02:25 UTC
I add live ebuild with multilib support based from this issue in rion overlay
Comment 10 Egor Y. Egorov 2016-02-10 09:02:50 UTC
Please test